%define gitdate %nil

Name: x11-driver-input-penmount
Version: 1.5.0
Release: %mkrel 1%{?gitdate:.%{gitdate}}
Summary: X.org input driver for PenMount devices
Group: System/X11
URL: http://xorg.freedesktop.org
%if 0%{?gitdate}
Source: xf86-input-penmount-%{gitdate}.tar.bz2
%else
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-penmount-%{version}.tar.bz2
%endif
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.4
BuildRequires: x11-server-devel >= 1.4
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: x11-server < 1.4

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Penmount is an X.org input driver for PenMount devices.

%prep
%if 0%{gitdate}
%setup -q -n xf86-input-penmount-%{gitdate}
%else
%setup -q -n xf86-input-penmount-%{version}
%endif

%build
autoreconf -v --install || exit 1
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/input/penmount_drv.la
%{_libdir}/xorg/modules/input/penmount_drv.so
%{_mandir}/man4/penmount.*


%changelog
* Tue Jun 28 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.5.0-1.mdv2011.0
+ Revision: 687818
- Updated to 1.5.0

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.4.99-1.20110609
+ Revision: 683755
- Update to latest git snapshot.
- Rebuild for new x11-server

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-4
+ Revision: 671130
- mass rebuild

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.1-3mdv2011.0
+ Revision: 595758
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.1-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Thu Mar 04 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4.1-1mdv2010.1
+ Revision: 514333
- New version: 1.4.1

* Tue Jan 19 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4.0-2mdv2010.1
+ Revision: 493610
- Add upstream patch to work with abi 7 (makes package build again)

* Thu Feb 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.0-1mdv2009.1
+ Revision: 342880
- New version 1.4.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-2mdv2009.0
+ Revision: 265873
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-1mdv2009.0
+ Revision: 194280
- Update to version 1.3.0.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-4mdv2008.1
+ Revision: 160493
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-3mdv2008.1
+ Revision: 156588
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-2mdv2008.1
+ Revision: 154957
- Updated BuildRequires and resubmit package.
  Add patch to never call symbol no longer available in X Server due to X Input
  Hotplug reword.
- Disable debug package.
  Update BuildRequires.
  Driver still marked as broken and no updates upstream. A patch to "not crash"
  should be made available before 2008.1.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix spec and update the comment documentation to use existing
  xf86-input-penmount-1.2.1 tag to generate patches and tarball. Git master
  has no changes since this tag, so mandriva branch is correct.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-1mdv2008.1
+ Revision: 97220
- new upstream version: 1.2.1
  (requires x11-server 1.4 to build)
- minor spec cleanup

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

  + Olivier Blin <oblin@mandriva.com>
    - fix group


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:59:00 (36664)
- new upstream release (1.2.0):
   * Add DMC9000 support.
- removed old tarballs

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

